const fs = require('fs');
let scTree = null;

let getSCTree = function() {
    if (!(scTree)) {
        let data = fs.readFileSync(__dirname + '/web/id_tree.js', 'utf8', 'r');
        eval(data + ' scTree = idTree;');
    }
    return scTree;
};

exports.getTree = getSCTree;